ReflectionExtension::__construct
ReflectionExtension::getClasses
ReflectionExtension
PHP Manual

# ReflectionExtension::export

Export

### Description

public static string ReflectionExtension::export ( string `$name` [, string `$return` = false ] )

Exports a reflected extension. The output format of this function is the same as the CLI argument --re [extension].

### Parameters

`name`

  The reflection to export.

`return`

  Setting to `TRUE` will return the export, as opposed to emitting it. Setting to `FALSE` (the default) will do the opposite.

### Return Values

If the `return` parameter is set to `TRUE`, then the export is returned as a string, otherwise `NULL` is returned.

### See Also

- ReflectionExtension::info